Bug 96592 - [Maintainer] www/dillo: update to 0.8.6
Summary: [Maintainer] www/dillo: update to 0.8.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-01 15:30 UTC by Thomas-Martin Seck
Modified: 2006-05-20 21:37 UTC (History)
0 users

See Also:


Attachments
file.diff (10.70 KB, patch)
2006-05-01 15:30 UTC, Thomas-Martin Seck
no flags Details | Diff
dillo-0.8.6.diff (10.96 KB, patch)
2006-05-16 18:35 UTC, Thomas-Martin Seck
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas-Martin Seck 2006-05-01 15:30:16 UTC
- update to 0.8.6
- cut the master/slave relationship to www/dillo-i18n
- rework logic that enables SSL support
- prepare support for a FLTK2 based download gui (unconditionally disabled
  until x11-toolkits/fltk2 is available in the ports tree)
- minor cleanups and portlintification

Note to committer:

please 'cvs add' the following files:
- files/enable-ssl.patch
- files/patch-configure

Fix: Apply this patch:
Comment 1 Thomas-Martin Seck 2006-05-01 15:58:05 UTC
Sorry, I failed to synchronize my local repository before creating the
patch (full patchset included, only the Makefile patch needed to be
corrected):

Index: distinfo
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- distinfo	(.../www/dillo)	(revision 805)
+++ distinfo	(.../local/dillo)	(revision 805)
@@ -1,3 +1,3 @@
-MD5 (dillo-0.8.5.tar.bz2) =3D d0ab7fa1d40b310deb891388604188f8
-SHA256 (dillo-0.8.5.tar.bz2) =3D 980ccd8e0c0a85e37478e33b5f4f59d2cfda5c16d=
30af3acad259626d387cd1a
-SIZE (dillo-0.8.5.tar.bz2) =3D 424795
+MD5 (dillo-0.8.6.tar.bz2) =3D b65233d368bbd265a55effcf2c17f84b
+SHA256 (dillo-0.8.6.tar.bz2) =3D 47e695a5d370eb656f5e41eeb917ad6281b1559bf=
60172c9eca89b5518a9f9b9
+SIZE (dillo-0.8.6.tar.bz2) =3D 441739
Index: files/enable-ssl.patch
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- files/enable-ssl.patch	(.../www/dillo)	(revision 0)
+++ files/enable-ssl.patch	(.../local/dillo)	(revision 805)
@@ -0,0 +1,10 @@
+--- dpi/https.c.orig	Sat Mar 25 16:46:48 2006
++++ dpi/https.c	Sat Mar 25 16:47:38 2006
+@@ -62,7 +62,6 @@
+ #include "dpiutil.h"
+=20
+ #define ENABLE_SSL
+-#undef ENABLE_SSL
+ #ifdef ENABLE_SSL
+=20
+ #include <openssl/ssl.h>
Index: files/patch-dpi-https.c
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- files/patch-dpi-https.c	(.../www/dillo)	(revision 805)
+++ files/patch-dpi-https.c	(.../local/dillo)	(revision 805)
@@ -1,19 +1,11 @@
---- dpi/https.c.orig	Sun Oct  3 17:16:15 2004
-+++ dpi/https.c	Sun Oct  3 17:17:47 2004
-@@ -53,7 +53,6 @@
- #include <glib.h>
- #include "dpiutil.h"
-=20
--#undef ENABLE_SSL
- #ifdef ENABLE_SSL
-=20
- #include <openssl/ssl.h>
-@@ -605,13 +616,8 @@ static void no_ssl_support(void)
+--- dpi/https.c.orig	Sat Mar 25 16:49:59 2006
++++ dpi/https.c	Sat Mar 25 16:55:35 2006
+@@ -655,13 +655,8 @@
        "<b>}</b>\n\n"
        "  <b>*** Dillo's prototype plugin for https support"
        " is disabled now ***</b>\n\n"
 -      "  If you want to test this <b>alpha</b> support code, just remove\=
n"
--      "  line 56 from https.c, recompile and reinstall.\n\n"
+-      "  line 65 from https.c, recompile and reinstall.\n\n"
 -      "  (beware that this https support is very limited now)\n\n"
 -      "  To use https and SSL, you must have \n"
 -      "  the OpenSSL development libraries installed.  Check your\n"
Index: files/patch-configure
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- files/patch-configure	(.../www/dillo)	(revision 0)
+++ files/patch-configure	(.../local/dillo)	(revision 805)
@@ -0,0 +1,114 @@
+--- configure.orig	Sat Apr 15 14:01:45 2006
++++ configure	Sun Apr 16 20:20:43 2006
+@@ -309,7 +309,7 @@
+ # include <unistd.h>
+ #endif"
+=20
+-ac_subst_vars=3D'SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAG=
E_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_trans=
form_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir local=
statedir libdir includedir oldincludedir infodir mandir build_alias host_al=
ias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendo=
r build_os host host_cpu host_vendor host_os target target_cpu target_vendo=
r target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE V=
ERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct=
_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am_=
_tar am__untar DLGUI_TRUE DLGUI_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC E=
XEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKS=
LASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE RANLIB ac_ct_RANLIB C=
PP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FAL=
SE GLIB_CONFIG GLIB_CFLAGS GLIB_LIBS GTK_CONFIG GTK_CFLAGS GTK_LIBS EGREP L=
IBJPEG_LIBS LIBJPEG_LDFLAGS LIBJPEG_CPPFLAGS LIBPNG_LIBS LIBPNG_CFLAGS LIBZ=
_LIBS LIBSSL_LIBS LIBPTHREAD_LIBS LIBPTHREAD_LDFLAGS LIBFLTK_CXXFLAGS LIBFL=
TK_LIBS src doc bin util lib LIBOBJS LTLIBOBJS'
++ac_subst_vars=3D'SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAG=
E_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_trans=
form_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir local=
statedir libdir includedir oldincludedir infodir mandir build_alias host_al=
ias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendo=
r build_os host host_cpu host_vendor host_os target target_cpu target_vendo=
r target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE V=
ERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct=
_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am_=
_tar am__untar DLGUI_TRUE DLGUI_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC E=
XEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKS=
LASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE RANLIB ac_ct_RANLIB C=
PP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FAL=
SE GLIB_CONFIG GLIB_CFLAGS GLIB_LIBS GTK_CONFIG GTK_CFLAGS GTK_LIBS FLTK2_C=
ONFIG EGREP LIBJPEG_LIBS LIBJPEG_LDFLAGS LIBJPEG_CPPFLAGS LIBPNG_LIBS LIBPN=
G_CFLAGS LIBZ_LIBS LIBSSL_LIBS LIBPTHREAD_LIBS LIBPTHREAD_LDFLAGS LIBFLTK_C=
XXFLAGS LIBFLTK_LIBS src doc bin util lib LIBOBJS LTLIBOBJS'
+ ac_subst_files=3D''
+=20
+ # Initialize some variables set by options.
+@@ -1961,16 +1961,6 @@
+   enable_threaded_dns=3Dyes
+ fi;
+=20
+-
+-if test x$enable_dlgui =3D xyes; then
+-  DLGUI_TRUE=3D
+-  DLGUI_FALSE=3D'#'
+-else
+-  DLGUI_TRUE=3D'#'
+-  DLGUI_FALSE=3D
+-fi
+-
+-
+ ac_ext=3Dc
+ ac_cpp=3D'$CPP $CPPFLAGS'
+ ac_compile=3D'$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+@@ -5884,11 +5874,81 @@
+   rm -f conf.gtktest
+=20
+=20
+-    echo "$as_me:$LINENO: checking Hackish check for FLTK" >&5
+-echo $ECHO_N "checking Hackish check for FLTK... $ECHO_C" >&6
+-    LIBFLTK_CXXFLAGS=3D`fltk-config --cxxflags`
+-    LIBFLTK_LIBS=3D`fltk-config --ldflags`
++if test "x$enable_dlgui" =3D "xyes"; then
++  for ac_prog in fltk2-config fltk-config
++do
++  # Extract the first word of "$ac_prog", so it can be a program name wit=
h args.
++set dummy $ac_prog; ac_word=3D$2
++echo "$as_me:$LINENO: checking for $ac_word" >&5
++echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
++if test "${ac_cv_path_FLTK2_CONFIG+set}" =3D set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  case $FLTK2_CONFIG in
++  [\\/]* | ?:[\\/]*)
++  ac_cv_path_FLTK2_CONFIG=3D"$FLTK2_CONFIG" # Let the user override the t=
est with a path.
++  ;;
++  *)
++  as_save_IFS=3D$IFS; IFS=3D$PATH_SEPARATOR
++for as_dir in $PATH
++do
++  IFS=3D$as_save_IFS
++  test -z "$as_dir" && as_dir=3D.
++  for ac_exec_ext in '' $ac_executable_extensions; do
++  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
++    ac_cv_path_FLTK2_CONFIG=3D"$as_dir/$ac_word$ac_exec_ext"
++    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
++    break 2
++  fi
++done
++done
++
++  ;;
++esac
++fi
++FLTK2_CONFIG=3D$ac_cv_path_FLTK2_CONFIG
++
++if test -n "$FLTK2_CONFIG"; then
++  echo "$as_me:$LINENO: result: $FLTK2_CONFIG" >&5
++echo "${ECHO_T}$FLTK2_CONFIG" >&6
++else
++  echo "$as_me:$LINENO: result: no" >&5
++echo "${ECHO_T}no" >&6
++fi
++
++  test -n "$FLTK2_CONFIG" && break
++done
++test -n "$FLTK2_CONFIG" || FLTK2_CONFIG=3D"NOTFOUND"
+=20
++  if test "x$FLTK2_CONFIG" !=3D "xNOTFOUND" && test -x "$FLTK2_CONFIG"; t=
hen
++    fltk_version=3D`$FLTK2_CONFIG --version`
++    case "$fltk_version" in
++      2.*)
++        LIBFLTK_CXXFLAGS=3D`$FLTK2_CONFIG --cxxflags`
++        LIBFLTK_LIBS=3D`$FLTK2_CONFIG --ldflags`
++        fltk2_ok=3D"yes"
++        ;;
++      *)
++        echo "$as_me:$LINENO: result: need fltk2 -- disabling fltk suppor=
t" >&5
++echo "${ECHO_T}need fltk2 -- disabling fltk support" >&6
++        fltk2_ok=3D"no"
++        ;;
++    esac
++  else
++    fltk2_ok=3D"no"
++  fi
++else
++  fltk2_ok=3D"no"
++fi
++
++
++if test x$fltk2_ok =3D xyes; then
++  DLGUI_TRUE=3D
++  DLGUI_FALSE=3D'#'
++else
++  DLGUI_TRUE=3D'#'
++  DLGUI_FALSE=3D
++fi
+=20
+ if test "x$enable_jpeg" =3D "xyes"; then
+=20
Index: pkg-plist
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- pkg-plist	(.../www/dillo)	(revision 805)
+++ pkg-plist	(.../local/dillo)	(revision 805)
@@ -1,10 +1,12 @@
-@comment $FreeBSD: ports/www/dillo/pkg-plist,v 1.5 2004/10/28 15:23:34 pav=
 Exp $
+@comment $FreeBSD: ports/www/dillo/pkg-plist,v 1.3 2003/02/27 17:36:36 nad=
dy Exp $
 bin/dillo
 bin/dpid
 bin/dpidc
 etc/dillorc.sample
 etc/dpidrc
 libexec/dillo/dpi/bookmarks/bookmarks.dpi
+libexec/dillo/dpi/cookies/cookies.dpi
+libexec/dillo/dpi/datauri/datauri.filter.dpi
 libexec/dillo/dpi/downloads/downloads.dpi
 libexec/dillo/dpi/file/file.dpi
 libexec/dillo/dpi/ftp/ftp.filter.dpi
@@ -15,6 +17,8 @@
 @dirrm libexec/dillo/dpi/ftp
 @dirrm libexec/dillo/dpi/file
 @dirrm libexec/dillo/dpi/downloads
+@dirrm libexec/dillo/dpi/datauri
+@dirrm libexec/dillo/dpi/cookies
 @dirrm libexec/dillo/dpi/bookmarks
 @dirrm libexec/dillo/dpi
 @dirrm libexec/dillo
Index: Makefile
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
--- Makefile	(.../www/dillo)	(revision 805)
+++ Makefile	(.../local/dillo)	(revision 805)
@@ -9,35 +9,38 @@
 #
=20
 PORTNAME=3D	dillo
-PORTVERSION=3D	0.8.5
-PORTREVISION=3D	1
+PORTVERSION=3D	0.8.6
 CATEGORIES=3D	www ipv6
 MASTER_SITES=3D	http://www.dillo.org/download/
=20
-MAINTAINER?=3D	tmseck@netcologne.de
-COMMENT?=3D	A fast, small graphical Web browser built upon GTK+
+MAINTAINER=3D	tmseck@netcologne.de
+COMMENT=3D	A fast, small graphical Web browser built upon GTK+
=20
-RUN_DEPENDS+=3D	wget:${PORTSDIR}/ftp/wget
-LIB_DEPENDS+=3D	jpeg.9:${PORTSDIR}/graphics/jpeg \
+RUN_DEPENDS=3D	wget:${PORTSDIR}/ftp/wget
+LIB_DEPENDS=3D	jpeg.9:${PORTSDIR}/graphics/jpeg \
 		png.5:${PORTSDIR}/graphics/png
=20
 USE_BZIP2=3D	yes
 USE_GNOME=3D	gnometarget gtk12
-USE_REINPLACE=3D	yes
 USE_GMAKE=3D	yes
 GNU_CONFIGURE=3D	yes
-CONFIGURE_ENV=3D	CPPFLAGS=3D"-I${LOCALBASE}/include" \
-		LDFLAGS=3D"-L${LOCALBASE}/lib"
-CONFIGURE_ARGS+=3D	--enable-ipv6 --libdir=3D${PREFIX}/libexec
+CPPFLAGS+=3D	-I${LOCALBASE}/include
+LDFLAGS+=3D	-L${LOCALBASE}/lib
+CONFIGURE_ENV=3D	CPPFLAGS=3D"${CPPFLAGS}" \
+		LDFLAGS=3D"${LDFLAGS}"
+CONFIGURE_ARGS=3D	--enable-cookies --enable-ipv6 --enable-threaded-dns \
+		--disable-dlgui \
+		--libdir=3D${PREFIX}/libexec
=20
 .if defined(WITH_DILLO_SSL)
 CONFIGURE_ARGS+=3D	--enable-ssl
+EXTRA_PATCHES+=3D	${PATCHDIR}/enable-ssl.patch
 USE_OPENSSL=3D	yes
 .else
 CONFIGURE_ARGS+=3D	--disable-ssl
 .endif
=20
-CONFLICTS?=3D	dillo-i18n-*[0-9]*
+CONFLICTS=3D	dillo-i18n-*[0-9]*
=20
 post-patch:
 	@${REINPLACE_CMD} -e 's|-pthread|${PTHREAD_LIBS}|g ; \
@@ -45,16 +48,12 @@
 	@${REINPLACE_CMD} -e 's|dillorc|dillorc.sample|g' ${WRKSRC}/Makefile.in
 	@${CP} ${WRKSRC}/dillorc ${WRKSRC}/dillorc.sample
=20
-# let a slave port redefine this target if it needs to:
-.if !target(pre-configure)
 pre-configure:
 .if !defined(WITH_DILLO_SSL)
 	@${ECHO_CMD} ""
-	@${ECHO_CMD} "   You can enable dillo's experimental SSL support by speci=
fing"
-	@${ECHO_CMD} "   WITH_DILLO_SSL=3Dyes in your make environment or on the"
-	@${ECHO_CMD} "   commandline."
-	@${ECHO_CMD} ""
+	@${ECHO_CMD} "   Set WITH_DILLO_SSL=3Dyes in your make environment or on =
the"
+	@${ECHO_CMD} "   commandline to enable experimental SSL support."
 .endif
-.endif
+	@${ECHO_CMD} ""
=20
 .include <bsd.port.mk>
Comment 2 Marcus Alves Grando freebsd_committer 2006-05-15 02:08:46 UTC
State Changed
From-To: open->feedback

Please, submit attached patch. Thanks.
Comment 3 Marcus Alves Grando freebsd_committer 2006-05-15 02:09:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

I'll take it.
Comment 4 Thomas-Martin Seck 2006-05-16 18:35:46 UTC
* Marcus Alves Grando (mnag@FreeBSD.org):

> Please, submit attached patch. Thanks.

Is this ok? I attached the patch instead of inlining it.
Comment 5 Marcus Alves Grando freebsd_committer 2006-05-20 21:37:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!